[Desktop Entry]
Encoding=UTF-8
Exec=colorfire
Icon=kscreensaver
Type=Application
Actions=InWindow;Root
Name=Colorfire (GL)

[Desktop Action Setup]
Exec=kxsconfig colorfire
Name=Setup...

[Desktop Action InWindow]
Exec=kxsrun colorfire -- -window-id %w
Name=Display in specified window
NoDisplay=true
 
[Desktop Action Root]
Exec=kxsrun colorfire -- --root
Name=Display in root window
NoDisplay=true
